Subject: Re: [PATCH] vlan tag match

From: Patrick McHardy <[email-masked]>
Date: Tue, 05 Feb 2008 15:26:07 +0100

David Miller wrote:
> From: Stephen Hemminger <[email-masked]>
> Date: Thu, 31 Jan 2008 21:50:25 -0800
> 
>> On Fri, 01 Feb 2008 06:34:34 +0100
>> Patrick McHardy <[email-masked]> wrote:
>>
>>> Stephen Hemminger wrote:
>>>> Provide a way to use tc filters on vlan tag even if tag is buried in
>>>> skb due to hardware acceleration.
>>> Looks reasonable. Would you like to add the same feature to the
>>> flow classifier?
>> Yes, that would be good.
> 
> Did that patch get posted?  I didn't see it.

No, but I already added it myself. I'll post it in a new thread.

BTW, Stephen, I noticed your ematch patch doesn't mask out the
VLAN priority which is also included in the return value of
vlan_get_tag(), is that intentional?